|  | Home | Documentation | httpstreams.c File Reference updated by Robert van Engelen |

Functions | Variables
httpstreams.c File Reference
`#include "httpstreams.h"`
Include dependency graph for httpstreams.c:

## Functions

static int | http_streams_init (struct soap *soap, struct soap_plugin *p)
static void | http_streams_delete (struct soap *soap, struct soap_plugin *p)
static int | http_streams_connect (struct soap *soap, const char *endpoint, const char *host, int port)
static int | http_streams_disconnect (struct soap *soap)
SOAP_FMAC1 int SOAP_FMAC2 | http_streams (struct soap *soap, struct soap_plugin *p, void *arg)
SOAP_FMAC1 struct soap_http_shared_streams *SOAP_FMAC2 | soap_new_http_streams (int max_host, int max_open)
SOAP_FMAC1 void SOAP_FMAC2 | soap_free_http_streams (struct soap_http_shared_streams *hub)
SOAP_FMAC1 void SOAP_FMAC2 | soap_http_streams_max_host (int max_host)
SOAP_FMAC1 void SOAP_FMAC2 | soap_http_streams_max_open (int max_open)
SOAP_FMAC1 int SOAP_FMAC2 | soap_http_streams_stream_id (struct soap *soap)
static int | http_streams_https_check (struct soap *ctx, struct soap *soap, const char *endpoint)
static int | http_streams_ssl_init (struct soap *ctx, struct soap *soap, const char *endpoint)
static int | http_streams_connect_init (struct soap *ctx, struct soap *soap, const char *endpoint)

## Variables

const char | http_streams_id [] = HTTP_STREAMS_ID
static struct soap_http_shared_streams | http_streams_hub = { 8, 4, NULL, MUTEX_INITIALIZER }

## Function Documentation

## ◆ http_streams()

SOAP_FMAC1 int SOAP_FMAC2 http_streams | ( | struct soap * | soap,
|  | struct soap_plugin * | p,
|  | void * | arg )

## ◆ http_streams_connect()

int http_streams_connect | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | const char * | host,
|  | int | port )

static

## ◆ http_streams_connect_init()

int http_streams_connect_init | ( | struct soap * | ctx,
|  | struct soap * | soap,
|  | const char * | endpoint )

static

## ◆ http_streams_delete()

void http_streams_delete | ( | struct soap * | soap,
|  | struct soap_plugin * | p )

static

## ◆ http_streams_disconnect()

int http_streams_disconnect | ( | struct soap * | soap | ) |

static

## ◆ http_streams_https_check()

int http_streams_https_check | ( | struct soap * | ctx,
|  | struct soap * | soap,
|  | const char * | endpoint )

static

## ◆ http_streams_init()

int http_streams_init | ( | struct soap * | soap,
|  | struct soap_plugin * | p )

static

## ◆ http_streams_ssl_init()

int http_streams_ssl_init | ( | struct soap * | ctx,
|  | struct soap * | soap,
|  | const char * | endpoint )

static

## ◆ soap_free_http_streams()

SOAP_FMAC1 void SOAP_FMAC2 soap_free_http_streams | ( | struct soap_http_shared_streams * | hub | ) |

## ◆ soap_http_streams_max_host()

SOAP_FMAC1 void SOAP_FMAC2 soap_http_streams_max_host | ( | int | max_host | ) |

## ◆ soap_http_streams_max_open()

SOAP_FMAC1 void SOAP_FMAC2 soap_http_streams_max_open | ( | int | max_open | ) |

## ◆ soap_http_streams_stream_id()

SOAP_FMAC1 int SOAP_FMAC2 soap_http_streams_stream_id | ( | struct soap * | soap | ) |

## ◆ soap_new_http_streams()

SOAP_FMAC1 struct soap_http_shared_streams *SOAP_FMAC2 soap_new_http_streams | ( | int | max_host,
|  | int | max_open )

## Variable Documentation

## ◆ http_streams_hub

struct soap_http_shared_streams http_streams_hub = { 8, 4, NULL, MUTEX_INITIALIZER }

static

## ◆ http_streams_id

const char http_streams_id[] = HTTP_STREAMS_ID